Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## BEA WebLogic Server 9.0 API Reference

## weblogic.apache.xerces.impl.msg
Class XMLMessageFormatter

    java.lang.Object
      weblogic.apache.xerces.impl.msg.XMLMessageFormatter

All Implemented Interfaces:
  MessageFormatter

Deprecated. please use JDK supplied XML parsers and transformers

public class XMLMessageFormatter
extends Object
implements MessageFormatter

XMLMessageFormatter provides error messages for the XML 1.0 Recommendation and for the Namespaces Recommendation

Field Summary
`static String` | `XML_DOMAIN` Deprecated. The domain of messages concerning the XML 1.0 specification.
`static String` | `XMLNS_DOMAIN` Deprecated.

Constructor Summary
`XMLMessageFormatter()` Deprecated.

Method Summary
`String` | `formatMessage(Locale locale, String key, Object[] arguments)` Deprecated. Formats a message with the specified arguments using the given locale information.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### XML_DOMAIN

    public static final String XML_DOMAIN

  Deprecated.
  The domain of messages concerning the XML 1.0 specification.

  See Also:
    Constant Field Values

### XMLNS_DOMAIN

    public static final String XMLNS_DOMAIN

  Deprecated.
  See Also:
    Constant Field Values

Constructor Detail

### XMLMessageFormatter

    public XMLMessageFormatter()

  Deprecated.

Method Detail

### formatMessage

    public String formatMessage(Locale locale,
                                String key,
                                Object[] arguments)
                         throws MissingResourceException

  Deprecated.
  Formats a message with the specified arguments using the given locale information.

  Specified by:
    `formatMessage` in interface `MessageFormatter`
  Parameters:
    `locale` - The locale of the message.
    `key` - The message key.
    `arguments` - The message replacement text arguments. The order of the arguments must match that of the placeholders in the actual message.
  Returns:
    Returns the formatted message.
  Throws:
    `MissingResourceException` - Thrown if the message with the specified key cannot be found.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs90 Copyright 2005 BEA Systems Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD